class InvalidSegmentException(Exception):
    """
    An Exception that is raised when a segment contain
    some invalid elements and cannot be build.
    """

    def __init__(self, message):
        super().__init__(message)